Lister les domaines
Liste les domaines client visibles pour le principal de l’API publique.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Paramètres de chemin
Paramètres de requête
Réponse
Domaines sur cette page
Hide child attributes
Hide child attributes
Domaine UUID
Nom de domaine
Si le routage sortant est prêt
État du cycle de vie du domaine
Espace de travail UUID qui contient le domaine
Si le renouvellement automatique du domaine est activé
Horodatage de création de domaine
IP UUID dédié attribué, le cas échéant
ID externe du fournisseur pour le locataire entrant
Locataire entrant UUID, s'il est attribué
Nom d’affichage du locataire entrant, s’il est attribué
Type de locataire entrant, s'il est attribué
Mode de redirection configuré, le cas échéant
301, 302, iframe URL de redirection configurée, le cas échéant
Horodatage de la dernière mise à jour du domaine
Numéro de page actuel basé sur un
Nombre maximum d'éléments par page
Total des domaines correspondants
Cette page vous a-t-elle été utile ?
